Diablo® III

Installing on snow leopard. Possible?

Hi there. I have been trying to install D3 on my imac which runs 10.6.3 snow leopard. I have tried both the DVD and downloading the setup from the blizzard website, both to no avail, ceasing installation right before the launcher is launched with an error.

Can anyone help me with this situation? I can play D3 on my MBP that runs with snow leopard as well, but i cant even install it on my imac. How do i get around this apart from upgrading to the lions?
Reply Quote
For added information, error 6F73E063-8979-4355-B179-D43B4824BDB3 appears when starting blizzard launcher.
Reply Quote
MVP
Posts: 14,158
View profile
You need to be at 10.6.8 to run Diablo 3 or any other Blizzard game.

Could you list your system information for me?

Obtaining and Posting System Information

1) Click on the Apple Menu while holding down the Option key and select System Profiler (10.6.8) / System Information (10.7 and later).

2) Copy the information from the following sections and paste them into your post. Please copy in the following order: Hardware Overview, Graphics, and Software. Do not include any serial numbers, hardware UUIDs, or account/login names or information in your post.
________________________________________________
Technical Support MVP
Official Mac Tech Support Forum Cookie™ (Mint Chocolate Chip)
Guaranteed tasty; Potentially volatile when dipped in General Forums Syrup®
Caution: This cookie bites back.
Reply Quote

Please report any Code of Conduct violations, including:

Threats of violence. We take these seriously and will alert the proper authorities.

Posts containing personal information about other players. This includes physical addresses, e-mail addresses, phone numbers, and inappropriate photos and/or videos.

Harassing or discriminatory language. This will not be tolerated.

Forums Code of Conduct

Report Post # written by

Reason
Explain (256 characters max)

Reported!

[Close]